# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-Regexp
Version:	2017040101
Release:	21.%{__distinit}%{__distvers}
Summary:	Test your regular expressions
License:	MIT
URL:		https://metacpan.org/release/Test-Regexp
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-Regexp-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(:VERSION) >= 5.10
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(charnames)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Hash::Util::FieldHash)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Test::Tester)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module is intended to test your regular expressions. Given a subject
string and a regular expression (a.k.a. pattern), the module not only tests
whether the regular expression completely matches the subject string, it
performs a utf8::upgrade or utf8::downgrade on the subject string and
performs the tests again, if necessary. Furthermore, given a pattern with
capturing parenthesis, it checks whether all captures are present, and in the
right order. Both named and unnamed captures are checked.

%prep
%setup -q -n Test-Regexp-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README TODO
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Regexp.3*

%changelog
* Mon May 15 2023 Paul Howarth <paul@city-fan.org> - 2017040101-21
- SPDX migration

* Mon Jun  3 2019 Paul Howarth <paul@city-fan.org> - 2017040101-8
- Perl 5.30 rebuild

* Thu Apr  5 2018 Paul Howarth <paul@city-fan.org> - 2017040101-4
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Sat Apr  1 2017 Paul Howarth <paul@city-fan.org> - 2017040101-1
- Update to 2017040101
  - Prepare for 5.26
- Drop bundled Test::More as we always have a recent enough version now

* Sun Jun  5 2016 Paul Howarth <paul@city-fan.org> - 2016060501-1
- Update to 2016060501
  - Fix POD spelling errors

* Sun May 29 2016 Paul Howarth <paul@city-fan.org> - 2016052701-1
- Update to 2016052701
  - Allow specifying how you want to display characters that aren't printable
    ASCII characters (it used to be displayed as hex escapes); we also now
    allow named escapes "as is", \n/\r/\t only or "only escape non-printable
    ASCII", which is the new default
- BR: perl-generators where available
- Simplify find command using -delete

* Fri Jan  8 2016 Paul Howarth <paul@city-fan.org> - 2015110201-1
- Initial RPM version
